From 6a7f41abf627be5786cd58176df76dad1f0a3d43 Mon Sep 17 00:00:00 2001
From: Monkey 7 <monkeyseven@fblog.ch>
Date: Sat, 13 Jul 2019 12:06:26 +0200
Subject: [PATCH 1/2] New package: bfg-1.13.0

---
 srcpkgs/bfg/template | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)
 create mode 100644 srcpkgs/bfg/template

diff --git a/srcpkgs/bfg/template b/srcpkgs/bfg/template
new file mode 100644
index 00000000000..075fa14b113
--- /dev/null
+++ b/srcpkgs/bfg/template
@@ -0,0 +1,29 @@
+# Template file for 'bfg'
+pkgname=bfg
+version=1.13.0
+revision=1
+archs=noarch
+create_wrksrc=yes
+depends="virtual?java-runtime"
+short_desc="BFG Repo-Cleaner"
+maintainer="Monkey 7 <monkeyseven@fblog.ch>"
+license="GPL-3.0-or-later"
+homepage="https://rtyley.github.io/bfg-repo-cleaner"
+distfiles="https://repo1.maven.org/maven2/com/madgag/bfg/${version}/bfg-${version}.jar"
+checksum=bf22bab9dd42d4682b490d6bc366afdad6c3da99f97521032d3be8ba7526c8ce
+skip_extraction="bfg-${version}.jar"
+
+
+do_build() {
+	echo "#!/bin/sh" > ${pkgname}
+	echo "java -jar /usr/share/${pkgname}/${pkgname}-${version}.jar \$@" >> ${pkgname}
+	chmod 755 ${pkgname}
+}
+
+do_install() {
+	# Main class
+	vbin ${pkgname}
+	vinstall $XBPS_SRCDISTDIR/${pkgname}-${version}/${pkgname}-${version}.jar 644 usr/share/${pkgname} ${pkgname}-${version}.jar
+}
+
+

From 324d5cb6d6e8841aa5929cbcacc2f40c0ea0fe29 Mon Sep 17 00:00:00 2001
From: Monkey 7 <monkeyseven@fblog.ch>
Date: Sun, 14 Jul 2019 13:09:50 +0200
Subject: [PATCH 2/2] beauty flaws corrected in template

---
 srcpkgs/bfg/template | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

diff --git a/srcpkgs/bfg/template b/srcpkgs/bfg/template
index 075fa14b113..c581f10d210 100644
--- a/srcpkgs/bfg/template
+++ b/srcpkgs/bfg/template
@@ -13,7 +13,6 @@ distfiles="https://repo1.maven.org/maven2/com/madgag/bfg/${version}/bfg-${versio
 checksum=bf22bab9dd42d4682b490d6bc366afdad6c3da99f97521032d3be8ba7526c8ce
 skip_extraction="bfg-${version}.jar"
 
-
 do_build() {
 	echo "#!/bin/sh" > ${pkgname}
 	echo "java -jar /usr/share/${pkgname}/${pkgname}-${version}.jar \$@" >> ${pkgname}
@@ -23,7 +22,5 @@ do_build() {
 do_install() {
 	# Main class
 	vbin ${pkgname}
-	vinstall $XBPS_SRCDISTDIR/${pkgname}-${version}/${pkgname}-${version}.jar 644 usr/share/${pkgname} ${pkgname}-${version}.jar
+	vinstall $XBPS_SRCDISTDIR/${pkgname}-${version}/${pkgname}-${version}.jar 644 usr/share/${pkgname}
 }
-
-
